
CoCoA-5 - Design #929

Clean up CoCoALibSupplement

22 Sep 2016 08:41 - Anna Maria Bigatti

Status: In Progress Start date: 22 Sep 2016

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 20%

Category: Cleaning Estimated time: 3.00 hours

Target version: CoCoA-5.4.2 Spent time: 0.60 hour

Description

Many functions in CoCoALibSupplement are just there because they need conversion from BigInt to long (or vector of BigInt to vector

of long). Now there are functions to do this directly (VectorLong, VectorLongDecr1,...) in BuiltinFunctions, so CoCoALibSupplement

could be made lighter (see #290#note-8)

Related issues:

Related to CoCoA-5 - Support #290: Which functions are defined in CoCoALibSup... In Progress 21 Dec 2012

History

#1 - 22 Sep 2016 08:42 - Anna Maria Bigatti

- Related to Support #290: Which functions are defined in CoCoALibSupplement? added

#2 - 22 Sep 2016 08:43 - Anna Maria Bigatti

- Description updated

#3 - 22 Sep 2016 08:43 - Anna Maria Bigatti

- Category set to Cleaning

- % Done changed from 0 to 10

- Estimated time set to 3.00 h

#4 - 10 Oct 2016 18:54 - Anna Maria Bigatti

- Status changed from New to In Progress

- % Done changed from 10 to 20

I had already done some cleaning, so that now IsConvertible is not used.

Now I removed the commented out old code.

I think some functions may be moved to BuiltinFunctions

#5 - 12 Oct 2016 15:00 - Anna Maria Bigatti

- Target version changed from CoCoA-5.2.0 spring 2017 to CoCoA-5.2.2

#6 - 15 Nov 2017 17:29 - Anna Maria Bigatti

- Target version changed from CoCoA-5.2.2 to CoCoA-5.2.4

#7 - 25 Jul 2018 15:30 - John Abbott

- Target version changed from CoCoA-5.2.4 to CoCoA-5.3.0

#8 - 01 Oct 2019 14:23 - John Abbott

- Target version changed from CoCoA-5.3.0 to CoCoA-5.4.0
https://cocoa.dima.unige.it/redmine/issues/290#note-8


#9 - 03 Feb 2022 19:48 - John Abbott

- Target version changed from CoCoA-5.4.0 to CoCoA-5.4.2

This is one of those "tedious but necessary tasks" for which it is almost impossible to find time.

So postponing.... again!
